Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 1334)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 1335)
@@ -14,14 +14,14 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.referencer.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String ReferencerEditor_11;
-	public static String ReferencerEditor_17;
-	public static String ReferencerEditor_19;
-	public static String ReferencerEditor_21;
-	public static String ReferencerEditor_23;
-	public static String ReferencerEditor_6;
-	public static String ReferencerPreferencePage_2;
-	public static String ReferencerPreferencePage_3;
+	public static String references; 
+	public static String showingFirstResultPage; 
+	public static String showingLastResultPage; 
+	public static String showingNextResultPage; 
+	public static String showingPreviousResultPage; 
+	public static String referencePattern; 
+	public static String referencer; 
+	public static String orderReferencesByFrequency; 
 
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/link/QueryIndexToLexicalTable.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/link/QueryIndexToLexicalTable.java	(revision 1334)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/link/QueryIndexToLexicalTable.java	(revision 1335)
@@ -88,18 +88,18 @@
 
 		if (!qindex.isComputedWithPartition()) {
 			
-			System.out.println(TXMUIMessages.IndexToLexicalTable_0);
-			StatusLine.setMessage(TXMUIMessages.IndexToLexicalTable_0);
+			System.out.println(TXMUIMessages.cannotCreateALexicalTableFromAnIndexCreatedWithACorpusMoreThanOneColumnIsNeeded);
+			StatusLine.setMessage(TXMUIMessages.cannotCreateALexicalTableFromAnIndexCreatedWithACorpusMoreThanOneColumnIsNeeded);
 			return false;
 		}
 
-		Log.info(LexicalTableUIMessages.ComputeLexicalTable_3);
+		Log.info(LexicalTableUIMessages.openingMargeConfigurationDialog);
 		ArrayList<String> choices = new ArrayList<String>();
-		choices.add(LexicalTableUIMessages.ComputeLexicalTable_16);
-		choices.add(LexicalTableUIMessages.ComputeLexicalTable_12);
+		choices.add(LexicalTableUIMessages.useAllOccurrences);
+		choices.add(LexicalTableUIMessages.userIndexOccurrences);
 		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
 				choices, new ArrayContentProvider(), new LabelProvider(), 
-				LexicalTableUIMessages.ComputeLexicalTable_13);
+				LexicalTableUIMessages.selectWhichMarginsYouWantToUse);
 		
 		int ret = dialog.open();
 		//System.out.println("ret= "+ret);
@@ -135,4 +135,4 @@
 		return false;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/function/ComputeQueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/function/ComputeQueryIndex.java	(revision 1334)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/commands/function/ComputeQueryIndex.java	(revision 1335)
@@ -83,7 +83,7 @@
 		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
 		TXMResultEditorInput<QueryIndex> editorInput = new TXMResultEditorInput<QueryIndex>(new QueryIndex(corpus));
 		try {
-			StatusLine.setMessage(IndexUIMessages.ComputeIndex_0);
+			StatusLine.setMessage(IndexUIMessages.openingIndexResults);
 			IEditorPart editor =  page.openEditor(editorInput,QueryIndexEditor.ID);
 			if (editor instanceof QueryIndexEditor) {
 				QueryIndexEditor voceditor = (QueryIndexEditor)editor;
@@ -98,7 +98,7 @@
 		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
 		TXMResultEditorInput<QueryIndex> editorInput = new TXMResultEditorInput<QueryIndex>(new QueryIndex(partition));
 		try {
-			StatusLine.setMessage(IndexUIMessages.ComputeIndex_0);
+			StatusLine.setMessage(IndexUIMessages.openingIndexResults);
 			QueryIndexEditor voceditor = (QueryIndexEditor) page
 					.openEditor(editorInput, QueryIndexEditor.ID);
 			voceditor.initializeFields();
@@ -106,4 +106,4 @@
 			Log.printStackTrace(e);
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 1334)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 1335)
@@ -267,12 +267,12 @@
 
 		createQueryIndex();
 
-		StatusLine.setMessage(IndexUIMessages.IndexEditor_33);
+		StatusLine.setMessage(IndexUIMessages.computingIndex);
 		final CQLQuery query; // if the query is empty then we put "[]" instead
 		if (!queryWidget.getQueryString().equals("\"\"")) {//$NON-NLS-1$
 			query = new CQLQuery(queryWidget.getQueryString());
 		} else {
-			System.err.println(IndexUIMessages.IndexEditor_0);
+			System.err.println(IndexUIMessages.indexDDotQueryIsEmpty);
 			return;
 		}
 
@@ -364,10 +364,10 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(TXMUIMessages.LastCQPError
+							System.out.println(TXMUIMessages.lastCQPErrorDDot
 									+ CQPSearchEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
-							System.out.println(IndexUIMessages.IndexEditor_10
+							System.out.println(IndexUIMessages.cQPErrorDDot
 									+ e1);
 							Log.printStackTrace(e1);
 						}
@@ -533,7 +533,7 @@
 		filtercontrols.setLayout(gridLayout);
 
 		Label lNLigneppage = new Label(filtercontrols, SWT.NONE);
-		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
+		lNLigneppage.setText(IndexUIMessages.pageSize);
 		lNLigneppage.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false,
 				false));
 
@@ -715,7 +715,7 @@
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(IndexUIMessages.IndexEditor_36);
+				StatusLine.setMessage(IndexUIMessages.IndexEditor_17);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -730,7 +730,7 @@
 					}
 				}
 
-				StatusLine.setMessage(IndexUIMessages.IndexEditor_37);
+				StatusLine.setMessage(IndexUIMessages.IndexEditor_17);
 				fillDisplayArea(topLine, bottomLine);
 			}
 
@@ -769,7 +769,7 @@
 						queryindex.sortLines(SortMode.FREQUNIT, false);
 					}
 				}
-				StatusLine.setMessage(IndexUIMessages.IndexEditor_37);
+				StatusLine.setMessage(IndexUIMessages.IndexEditor_17);
 				fillDisplayArea(topLine, bottomLine);
 			}
 
@@ -915,7 +915,7 @@
 			}
 			queryWidget.setFocus();
 		} else {
-			System.err.println(IndexUIMessages.IndexEditor_22);
+			System.err.println(IndexUIMessages.couldntInitializeIndexTable);
 		}
 	}
 
@@ -944,10 +944,10 @@
 		navigationArea.setNextEnabled(to < queryindex.getV() - 1);
 		navigationArea.setLastEnabled(to < queryindex.getV() - 1);
 
-		lFminInfo.setText(IndexUIMessages.IndexEditor_25 + queryindex.getFmin());
-		lFmaxInfo.setText(IndexUIMessages.IndexEditor_26 + queryindex.getFmax());
-		lTInfo.setText(IndexUIMessages.IndexEditor_27 + queryindex.getT());
-		lVInfo.setText(IndexUIMessages.IndexEditor_28 + queryindex.getV());
+		lFminInfo.setText(IndexUIMessages.IndexEditor_17 + queryindex.getFmin());
+		lFmaxInfo.setText(IndexUIMessages.IndexEditor_17 + queryindex.getFmax());
+		lTInfo.setText(IndexUIMessages.IndexEditor_17 + queryindex.getT());
+		lVInfo.setText(IndexUIMessages.IndexEditor_17 + queryindex.getV());
 
 		lVInfo.getParent().layout();
 
@@ -986,7 +986,7 @@
 	@Override
 	public void setFocus() {
 		this.queryWidget.setFocus();
-		StatusLine.setMessage(IndexUIMessages.IndexEditor_29);
+		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
 
 	/**
@@ -1037,4 +1037,4 @@
 		// TODO Auto-generated method stub
 		
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 1334)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 1335)
@@ -202,10 +202,10 @@
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
 				if (hasLine(split[0])) {
-					System.out.println(TXMCoreMessages.QueryIndex_2+line);
+					System.out.println(TXMCoreMessages.warningDDotDuplicateQueryEntryDDot+line);
 				} else {
 					if (addLine(split[0], new CQLQuery(split[1])) == null) {
-						System.out.println(TXMCoreMessages.QueryIndex_3+line);
+						System.out.println(TXMCoreMessages.warningDDotQueryFailedDDot+line);
 					}
 				}
 			}
@@ -227,7 +227,7 @@
 		try {
 			toTxt(outfile, 0, lines.size(), encoding, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(IndexCoreMessages.Index_7 + Log.toString(e));
+			System.err.println(IndexCoreMessages.failedToExportLexiconDDot + Log.toString(e));
 			return false;
 		}
 		return true;
@@ -462,4 +462,4 @@
 		return "Query index";
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 1335)
@@ -1,48 +1,48 @@
-package org.txm.cooccurrence.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Cooccurrence UI messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class CooccurrenceUIMessages extends NLS {
-	
-	private static final String BUNDLE_NAME = "org.txm.cooccurrence.rcp.messages.messages"; //$NON-NLS-1$
-	
-	public static String CoocPreferencePage_0;
-	public static String CoocPreferencePage_1;
-	public static String CoocPreferencePage_11;
-	public static String CoocPreferencePage_12;
-	public static String CoocPreferencePage_2;
-	public static String CoocPreferencePage_3;
-	public static String CoocPreferencePage_4;
-	public static String CoocPreferencePage_5;
-	public static String CoocPreferencePage_6;
-	public static String CoocPreferencePage_8;
-	public static String CooccurrencesEditor_0;
-
-	public static String CooccurrencesEditor_10;
-	public static String CooccurrencesEditor_17;
-	public static String CooccurrencesEditor_18;
-
-	public static String CooccurrencesEditor_25;
-	public static String CooccurrencesEditor_3;
-	public static String CooccurrencesEditor_4;
-	public static String CooccurrencesEditor_5;
-	public static String CooccurrencesEditor_6;
-	public static String CooccurrencesEditor_8;
-	public static String CooccurrencesEditor_9;
-
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceUIMessages.class);
-	}
-
-	private CooccurrenceUIMessages() {
-	}
-}
+package org.txm.cooccurrence.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Cooccurrence UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CooccurrenceUIMessages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.cooccurrence.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String scoreFormatDefault00000E00; 
+	public static String minimumFrequencyThresholdOfTheCooccurrent; 
+	public static String minimumRight; 
+	public static String maximumRight; 
+	public static String minimumCooccurrencyCountThreshold; 
+	public static String minimumCooccurrencyScoreThreshold; 
+	public static String maximumLeft; 
+	public static String cooccurrences; 
+	public static String minimumLeft; 
+	public static String usePartialLexicalTable; 
+	public static String sortByDDotP0; 
+
+	public static String cofrequency; 
+	public static String score; 
+	public static String theScoreThresholdMustBeARealNumberCurrentValueEqualsP0; 
+
+	public static String errorWhileReadingCorpusSize; 
+	public static String cooccurrentsPropertiesDDot; 
+	public static String thresholdsDDotFmin; 
+	public static String cmin; 
+	public static String score_2; 
+	public static String cooccurrent; 
+	public static String meanDistance; 
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceUIMessages.class);
+	}
+
+	private CooccurrenceUIMessages() {
+	}
+}
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1335)
@@ -319,7 +319,7 @@
 		propertiesSelector = new PropertiesSelector<WordProperty>(filtercontrols, SWT.NONE);
 		propertiesSelector.setLayout(new GridLayout(4, false));
 		propertiesSelector.setCorpus(this.getCorpus());
-		propertiesSelector.setTitle(CooccurrenceUIMessages.CooccurrencesEditor_3);
+		propertiesSelector.setTitle(CooccurrenceUIMessages.cooccurrentsPropertiesDDot);
 		propertiesSelector.addSelectionListener(computeSelectionListener);
 
 		// FIXME: became useless?
@@ -337,7 +337,7 @@
 		 */
 
 		Label label = new Label(filtercontrols, SWT.NONE);
-		label.setText(CooccurrenceUIMessages.CooccurrencesEditor_4);
+		label.setText(CooccurrenceUIMessages.thresholdsDDotFmin);
 
 		fMin = new Spinner(filtercontrols, SWT.BORDER);
 		fMin.setMinimum(1);
@@ -348,7 +348,7 @@
 		fMin.addKeyListener(computeKeyListener);
 
 		label = new Label(filtercontrols, SWT.NONE);
-		label.setText(CooccurrenceUIMessages.CooccurrencesEditor_5);
+		label.setText(CooccurrenceUIMessages.cmin);
 		cMin = new Spinner(filtercontrols, SWT.BORDER);
 		cMin.setMinimum(1);
 		cMin.setMaximum(99999);
@@ -358,7 +358,7 @@
 		cMin.addKeyListener(computeKeyListener);
 
 		label = new Label(filtercontrols, SWT.NONE);
-		label.setText(CooccurrenceUIMessages.CooccurrencesEditor_6);
+		label.setText(CooccurrenceUIMessages.score_2);
 		minScore = new FloatSpinner(filtercontrols, SWT.BORDER);
 		minScore.addSelectionListener(computeSelectionListener);
 		minScore.addKeyListener(computeKeyListener);
@@ -410,8 +410,8 @@
 		nColumn.pack();
 
 		occColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		occColumn.setText(CooccurrenceUIMessages.CooccurrencesEditor_8);
-		occColumn.setToolTipText(CooccurrenceUIMessages.CooccurrencesEditor_8);
+		occColumn.setText(CooccurrenceUIMessages.cooccurrent);
+		occColumn.setToolTipText(CooccurrenceUIMessages.cooccurrent);
 		occColumn.setWidth(200);
 		occColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -440,8 +440,8 @@
 		});
 
 		nboccColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
-		nboccColumn.setText(CooccurrenceUIMessages.CooccurrencesEditor_10);
-		nboccColumn.setToolTipText(CooccurrenceUIMessages.CooccurrencesEditor_10);
+		nboccColumn.setText(CooccurrenceUIMessages.cofrequency);
+		nboccColumn.setToolTipText(CooccurrenceUIMessages.cofrequency);
 		nboccColumn.setWidth(130);
 		nboccColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -455,8 +455,8 @@
 		});
 
 		scoreColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
-		scoreColumn.setText(CooccurrenceUIMessages.CooccurrencesEditor_17);
-		scoreColumn.setToolTipText(CooccurrenceUIMessages.CooccurrencesEditor_17);
+		scoreColumn.setText(CooccurrenceUIMessages.score);
+		scoreColumn.setToolTipText(CooccurrenceUIMessages.score);
 		scoreColumn.setWidth(100);
 		scoreColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -470,8 +470,8 @@
 		});
 
 		distColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
-		distColumn.setText(CooccurrenceUIMessages.CooccurrencesEditor_9);
-		distColumn.setToolTipText(CooccurrenceUIMessages.CooccurrencesEditor_9);
+		distColumn.setText(CooccurrenceUIMessages.meanDistance);
+		distColumn.setToolTipText(CooccurrenceUIMessages.meanDistance);
 		distColumn.setWidth(130);
 		distColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -598,7 +598,7 @@
 			Double d = Double.parseDouble(this.minScore.getText().replace(",", "."));
 			minScore = d;
 		} catch (Exception e) {
-			Log.severe(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_18, this.minScore.getText()));
+			Log.severe(NLS.bind(CooccurrenceUIMessages.theScoreThresholdMustBeARealNumberCurrentValueEqualsP0, this.minScore.getText()));
 		}
 
 		parameters.put(CooccurrencePreferences.MIN_SCORE, minScore);
@@ -633,7 +633,7 @@
 		if (cooc != null && !cooc.isDirty() && currentComparator != null) {
 
 			try {
-				Log.info(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_0, currentComparator.getName()));
+				Log.info(NLS.bind(CooccurrenceUIMessages.sortByDDotP0, currentComparator.getName()));
 
 				PlatformUI.getWorkbench().getProgressService().busyCursorWhile(new IRunnableWithProgress() {
 					@Override
@@ -685,7 +685,7 @@
 			txt += ", T " + cooc.getCorpus().getSize();  //$NON-NLS-1$
 		}
 		catch (Exception e) {
-			Log.severe(CooccurrenceUIMessages.CooccurrencesEditor_25);
+			Log.severe(CooccurrenceUIMessages.errorWhileReadingCorpusSize);
 		}
 		String tooltip = "- " + txt.replaceAll(", ", "\n- "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
@@ -710,4 +710,4 @@
 		TXMParameters parameters = getWidgetsParameters();
 		cooc.setParameters(parameters);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java	(revision 1335)
@@ -109,10 +109,10 @@
 		
 		
 		Label l = new Label(line1, SWT.NONE);
-		l.setText(TXMUIMessages.EmpantWidget_0);
+		l.setText(TXMUIMessages.contextDDot);
 
 		wordType = new Button(line1, SWT.RADIO);
-		wordType.setText(TXMUIMessages.EmpantWidget_1);
+		wordType.setText(TXMUIMessages.word);
 		wordType.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -127,7 +127,7 @@
 		wordType.setSelection(true);
 
 		structType = new Button(line1, SWT.RADIO);
-		structType.setText(TXMUIMessages.EmpantWidget_2);
+		structType.setText(TXMUIMessages.structure);
 		structType.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -147,7 +147,7 @@
 
 		checkLeft = new Button(line1, SWT.CHECK);
 		checkLeft.setSelection(true);
-		checkLeft.setText(TXMUIMessages.EmpantWidget_8);
+		checkLeft.setText(TXMUIMessages.useLeftWindow);
 		checkLeft.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -162,7 +162,7 @@
 		
 		checkRight = new Button(line1, SWT.CHECK);
 		checkRight.setSelection(true);
-		checkRight.setText(TXMUIMessages.EmpantWidget_9);
+		checkRight.setText(TXMUIMessages.useRightWindow);
 		checkRight.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -176,12 +176,12 @@
 		});
 		
 		checkXword = new Button(line1, SWT.CHECK);
-		checkXword.setText(TXMUIMessages.EmpantWidget_7);
+		checkXword.setText(TXMUIMessages.includeTheKeywordStructureInTheCount);
 
 		
 		// LINE 2
 		l = new Label(line2, SWT.NONE);
-		l.setText(TXMUIMessages.EmpantWidget_3);
+		l.setText(TXMUIMessages.from);
 
 		// | [ ] [ ] [ |v] [ ] [ ] |
 		maxLeft = new Spinner(line2, SWT.BORDER);
@@ -201,7 +201,7 @@
 		});
 
 		l = new Label(line2, SWT.NONE);
-		l.setText(TXMUIMessages.EmpantWidget_4);
+		l.setText(TXMUIMessages.to_2);
 
 		minLeft = new Spinner(line2, SWT.BORDER);
 		minLeft.setMinimum(0);
@@ -220,7 +220,7 @@
 		});
 				
 		l = new Label(line2, SWT.NONE);
-		l.setText(TXMUIMessages.EmpantWidget_5);
+		l.setText(TXMUIMessages.andFrom);
 
 		// [>]
 		minRight = new Spinner(line2, SWT.BORDER);
@@ -240,7 +240,7 @@
 		});
 
 		l = new Label(line2, SWT.NONE);
-		l.setText(TXMUIMessages.EmpantWidget_6);
+		l.setText(TXMUIMessages.to_3);
 
 		// [>|]
 		maxRight = new Spinner(line2, SWT.BORDER);
@@ -496,4 +496,4 @@
 		minLeft.addKeyListener(listener);
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1335)
@@ -129,10 +129,10 @@
 			}
 		}
 
-		StatusLine.setMessage(TXMUIMessages.ComputeCooccurrences_0);
+		StatusLine.setMessage(TXMUIMessages.openingCooccurrentsTable);
 
 		TXMEditor.openEditor(cooc, CooccurrencesEditor.ID);
 
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 1335)
@@ -53,34 +53,34 @@
 	public void createFieldEditors() {
 
 		/** The scoreformatfield. */
-		StringFieldEditor scoreformatfield = new StringFieldEditor(CooccurrencePreferences.SCORE_FORMAT, CooccurrenceUIMessages.CoocPreferencePage_0, getFieldEditorParent());
+		StringFieldEditor scoreformatfield = new StringFieldEditor(CooccurrencePreferences.SCORE_FORMAT, CooccurrenceUIMessages.scoreFormatDefault00000E00, getFieldEditorParent());
 		scoreformatfield.setTextLimit(15);
 
 		/** The minfreqfield. */
-		IntegerFieldEditor minfreqfield = new IntegerFieldEditor(TXMPreferences.F_MIN, CooccurrenceUIMessages.CoocPreferencePage_1, getFieldEditorParent());
+		IntegerFieldEditor minfreqfield = new IntegerFieldEditor(TXMPreferences.F_MIN, CooccurrenceUIMessages.minimumFrequencyThresholdOfTheCooccurrent, getFieldEditorParent());
 		minfreqfield.setValidRange(0, 9999999);
 
 		/** The mincountfield. */
-		IntegerFieldEditor mincountfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_COUNT, CooccurrenceUIMessages.CoocPreferencePage_2, getFieldEditorParent());
+		IntegerFieldEditor mincountfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_COUNT, CooccurrenceUIMessages.minimumCooccurrencyCountThreshold, getFieldEditorParent());
 		mincountfield.setValidRange(0, 9999999);
 
 		/** The minscorefield. */
-		DoubleFieldEditor minscorefield = new DoubleFieldEditor(CooccurrencePreferences.MIN_SCORE, CooccurrenceUIMessages.CoocPreferencePage_3, getFieldEditorParent());
+		DoubleFieldEditor minscorefield = new DoubleFieldEditor(CooccurrencePreferences.MIN_SCORE, CooccurrenceUIMessages.minimumCooccurrencyScoreThreshold, getFieldEditorParent());
 		minscorefield.setTextLimit(15);
 		
-		IntegerFieldEditor maxleftfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_LEFT, CooccurrenceUIMessages.CoocPreferencePage_4, getFieldEditorParent());
+		IntegerFieldEditor maxleftfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_LEFT, CooccurrenceUIMessages.maximumLeft, getFieldEditorParent());
 		maxleftfield.setValidRange(0, 99999);
 		
-		IntegerFieldEditor minleftfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_LEFT, CooccurrenceUIMessages.CoocPreferencePage_6, getFieldEditorParent());
+		IntegerFieldEditor minleftfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_LEFT, CooccurrenceUIMessages.minimumLeft, getFieldEditorParent());
 		minleftfield.setValidRange(0, 99999);
 		
-		IntegerFieldEditor minrightfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_RIGHT, CooccurrenceUIMessages.CoocPreferencePage_11, getFieldEditorParent());
+		IntegerFieldEditor minrightfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_RIGHT, CooccurrenceUIMessages.minimumRight, getFieldEditorParent());
 		minrightfield.setValidRange(0, 99999);
 		
-		IntegerFieldEditor maxrightfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_RIGHT, CooccurrenceUIMessages.CoocPreferencePage_12, getFieldEditorParent());
+		IntegerFieldEditor maxrightfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_RIGHT, CooccurrenceUIMessages.maximumRight, getFieldEditorParent());
 		maxrightfield.setValidRange(0, 99999);
 		
-		BooleanFieldEditor partiallexicaltablefield =  new BooleanFieldEditor(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrenceUIMessages.CoocPreferencePage_8, getFieldEditorParent());
+		BooleanFieldEditor partiallexicaltablefield =  new BooleanFieldEditor(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrenceUIMessages.usePartialLexicalTable, getFieldEditorParent());
 
 		addField(scoreformatfield);
 		addField(minfreqfield);
@@ -99,9 +99,9 @@
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(CooccurrencePreferences.getInstance().getPreferencesNodeQualifier()));
 		//setDescription("Cooccurrences");
-		this.setTitle(CooccurrenceUIMessages.CoocPreferencePage_5);
+		this.setTitle(CooccurrenceUIMessages.cooccurrences);
 		this.setImageDescriptor(CooccurrenceAdapterFactory.ICON);
 	}
 	
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1334)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1335)
@@ -187,7 +187,7 @@
 			
 			
 			miniInfoLabel = new Label(getMainParametersComposite(), SWT.NONE);
-			miniInfoLabel.setText(ProgressionUIMessages.ProgressionEditor_no_query);
+			miniInfoLabel.setText(ProgressionUIMessages.noQuery);
 			miniInfoLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 			
 //			Label queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
@@ -211,7 +211,7 @@
 			});
 			
 			Button addNewQueryButton = new Button(getMainParametersComposite(), SWT.PUSH);
-			addNewQueryButton.setText(ProgressionUIMessages.ProgressionEditor_add);
+			addNewQueryButton.setText(ProgressionUIMessages.add);
 			addNewQueryButton.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false));
 			addNewQueryButton.addSelectionListener(new SelectionListener() {
 				
@@ -243,11 +243,11 @@
 			// controls
 			// graph param
 			Label typeLabel = new Label(paramPanel, SWT.NONE);
-			typeLabel.setText(ProgressionUIMessages.ProgressionDialog_1);
+			typeLabel.setText(ProgressionUIMessages.chartTypeDDot);
 			typeLabel.setAlignment(SWT.CENTER);
 
 			cumulativeButton = new Button(paramPanel, SWT.RADIO);
-			cumulativeButton.setText(ProgressionUIMessages.ProgressionDialog_2);
+			cumulativeButton.setText(ProgressionUIMessages.cumulative);
 			// listeners
 			cumulativeButton.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -259,7 +259,7 @@
 			});
 
 			densityButton = new Button(paramPanel, SWT.RADIO);
-			densityButton.setText(ProgressionUIMessages.ProgressionDialog_3);
+			densityButton.setText(ProgressionUIMessages.density);
 			// listener
 			densityButton.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -272,7 +272,7 @@
 
 			// Bande size
 			typeLabel = new Label(paramPanel, SWT.NONE);
-			typeLabel.setText(ProgressionUIMessages.ProgressionDialog_11);
+			typeLabel.setText(ProgressionUIMessages.bandewidthMultiplierDDot);
 			typeLabel.setAlignment(SWT.CENTER);
 
 			bandeField = new Text(paramPanel, SWT.BORDER);
@@ -294,7 +294,7 @@
 
 			// property REGEX
 			Label regexLabel = new Label(structuration, SWT.NONE);
-			regexLabel.setText(ProgressionUIMessages.ProgressionDialog_7);
+			regexLabel.setText(ProgressionUIMessages.regexDDot);
 			regexLabel.setAlignment(SWT.CENTER);
 
 			propertyRegex = new Text(structuration, SWT.SINGLE | SWT.BORDER);
@@ -305,13 +305,13 @@
 
 			// Repeat same values in part markers
 			repeatSameValues = new Button(paramPanel, SWT.CHECK);
-			repeatSameValues.setText(ProgressionUIMessages.ProgressionDialog_15);
+			repeatSameValues.setText(ProgressionUIMessages.repeatSameValues);
 			repeatSameValues.addSelectionListener(computeSelectionListener);
 
 
 			// Lines styles
 			multipleLineStrokes = new Button(paramPanel, SWT.CHECK);
-			multipleLineStrokes.setText(SWTComponentsProviderMessages.preferences_multipleLineStrokeStyles);
+			multipleLineStrokes.setText(SWTComponentsProviderMessages.multipleLineStrokeStyles);
 			multipleLineStrokes.addSelectionListener(computeSelectionListener);
 
 
@@ -340,13 +340,13 @@
 			// add queries from file button
 			Button addQueriesFromFileButton = new Button(queriesFocusComposite, SWT.NONE);
 			addQueriesFromFileButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
-			addQueriesFromFileButton.setText(ProgressionUIMessages.ProgressionEditor_add_queries_from_file);
+			addQueriesFromFileButton.setText(ProgressionUIMessages.addQueriesFromFile);
 
 			addQueriesFromFileButton.addListener(SWT.Selection, new Listener() {
 				@Override
 				public void handleEvent(Event event) {
 					FileDialog dialog = new FileDialog(event.display.getActiveShell(), SWT.OPEN);
-					dialog.setText(ProgressionUIMessages.ProgressionEditor_select_property_file);
+					dialog.setText(ProgressionUIMessages.selectAnUTF8PropertyFile);
 					String path = dialog.open();
 					if (path != null) {
 						Properties props = new Properties();
@@ -401,13 +401,13 @@
 	 */
 	public void updateMiniInfoLabelText() {
 		if (queryWidgets.size() == 0) {
-			miniInfoLabel.setText(ProgressionUIMessages.ProgressionEditor_no_query);
+			miniInfoLabel.setText(ProgressionUIMessages.noQuery);
 		}
 		else if (queryWidgets.size() == 1) {
-			miniInfoLabel.setText(queryWidgets.size() + ProgressionUIMessages.ProgressionEditor_query);
+			miniInfoLabel.setText(queryWidgets.size() + ProgressionUIMessages.query);
 		}
 		else {
-			miniInfoLabel.setText(queryWidgets.size() + ProgressionUIMessages.ProgressionEditor_queries);
+			miniInfoLabel.setText(queryWidgets.size() + ProgressionUIMessages.queries);
 		}
 	}
 
@@ -648,8 +648,8 @@
 				bandeMultiplier = Float.parseFloat(smultibande);
 			} catch(Exception e) {
 				bandeMultiplier = 1.0f;
-				Log.severe(ProgressionUIMessages.ProgressionDialog_17 + e);
-				StatusLine.error(ProgressionUIMessages.ProgressionDialog_17 + e);
+				Log.severe(ProgressionUIMessages.stripMultiplierErrorDDot + e);
+				StatusLine.error(ProgressionUIMessages.stripMultiplierErrorDDot + e);
 			}
 		}
 		else	{
@@ -657,4 +657,4 @@
 		}
 	}
 
-}
+}
\ No newline at end of file
